Bug 983924 - Couldn't add printer EPSON M200 Series
Couldn't add printer EPSON M200 Series
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 05:52 EDT by Mikhail
Modified: 2015-01-10 14:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-10 14:25:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2013-07-12 05:52:53 EDT
Description of problem:
Couldn't add printer EPSON M200 Series

Try add printer with system-config-printer utility. Scaning host ended with follow error:

# system-config-printer
PASSTHRU
'\x00'
ps
'\x00'
lp
'\x00'
PORT1
'\x00'

'\x00'
LPT0
'\x00'
LPT0_PASSTHRU
'\x00'
COM0
'\x00'
COM0_PASSTHRU
'\x00'
LPT1
'\x00'
LPT1_PASSTHRU
'\x00'
COM1
'\x00'
COM1_PASSTHRU
'\x00'
LPT2
'\x00'
LPT2_PASSTHRU
'\x00'
COM2
'\x00'
COM2_PASSTHRU
'\x00'
LPT3
'\x00'
LPT3_PASSTHRU
'\x00'
COM3
'\x00'
COM3_PASSTHRU
'\x00'
LPT4
'\x00'
LPT4_PASSTHRU
'\x00'
COM4
'\x00'
COM4_PASSTHRU
'\x00'
LPT5
'\x00'
LPT5_PASSTHRU
'\x00'
COM5
'\x00'
COM5_PASSTHRU
'\x00'
LPT6
'\x00'
LPT6_PASSTHRU
'\x00'
COM6
'\x00'
COM6_PASSTHRU
'\x00'
LPT7
'\x00'
LPT7_PASSTHRU
'\x00'
COM7
'\x00'
COM7_PASSTHRU
'\x00'
pr0
'\x00'
pr1
'\x00'
pr2
'\x00'
pr3
'\x00'
pr4
'\x00'
pr5
'\x00'
pr6
'\x00'
pr7
'\x00'
pr8
'\x00'
pr9
'\x00'
pr10
'\x00'
pr11
'\x00'
pr12
'\x00'
pr13
'\x00'
pr14
'\x00'
pr15
'\x00'
pr16
'\x00'
pr17
'\x00'
pr18
'\x00'
pr19
'\x00'
pr20
'\x00'
pr21
'\x00'
pr22
'\x00'
pr23
'\x00'
pr24
'\x00'
pr25
'\x00'
pr26
'\x00'
pr27
'\x00'
pr28
'\x00'
pr29
'\x00'
pr30
'\x00'
pr31
'\x00'
pr32
'\x00'
pr33
'\x00'
pr34
'\x00'
pr35
'\x00'
pr36
'\x00'
pr37
'\x00'
pr38
'\x00'
pr39
'\x00'
pr40
'\x00'
pr41
'\x00'
pr42
'\x00'
pr43
'\x00'
pr44
'\x00'
pr45
'\x00'
pr46
'\x00'
pr47
'\x00'
pr48
'\x00'
pr49
'\x00'
Caught non-fatal exception.  Traceback:
File "/usr/share/system-config-printer/probe_printer.py", line 255, in _do_find
    fn ()
File "/usr/share/system-config-printer/probe_printer.py", line 367, in _probe_hplip
    stderr=null)
File "/usr/lib/python2.7/subprocess.py", line 711, in __init__
    errread, errwrite)
File "/usr/lib/python2.7/subprocess.py", line 1308, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory
Continuing anyway..
Comment 1 Tim Waugh 2013-07-12 08:14:30 EDT
That isn't an error as such -- notice it says "non-fatal" and "Continuing anyway". It just means that hplip is not installed so it can't use it to probe for HP printers. As this isn't an HP printer it doesn't matter.

You should have had a list of print queues to use, though. The LPD probe was successful.

Please attach a screenshot at the point at which you believe network detection (or adding the queue) has failed and you cannot proceed.
Comment 2 Fedora End Of Life 2015-01-09 13:52:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Mikhail 2015-01-10 14:25:46 EST
Sorry I don't have access to this printer any more.

Note You need to log in before you can comment on or make changes to this bug.